package com.fr.plugin.yxSSO.config.simple.account;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

@Visualization(category = "手持端单点登录配置")
@EnableMetrics
public class PluginSimpleConfig extends DefaultConfiguration {

    private static volatile PluginSimpleConfig config = null;

    @Focus(id="com.fr.plugin.yxSSO.config.simple", text = "手持端单点登录配置", source = Original.PLUGIN)
    public static PluginSimpleConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(PluginSimpleConfig.class);
        }
        return config;
    }

    @Identifier(value = "clientId", name = "clientId", description = "clientId", status = Status.SHOW)
    private Conf<String> clientId = Holders.simple("NgaJha3tDGxV6E3RKFYDHD");

    @Identifier(value = "secret", name = "secret", description = "secret", status = Status.SHOW)
    private Conf<String> secret = Holders.simple("nTEAdh8WwQjjWHp5z7Mzk3");

    @Identifier(value = "authUrl", name = "请求授权地址", description = "请求授权地址", status = Status.SHOW)
    private Conf<String> authUrl = Holders.simple("https://linksso-test.yuexiu.com/sso/oauth2/authorize");

    @Identifier(value = "tokenUrl", name = "请求token地址", description = "请求token地址", status = Status.SHOW)
    private Conf<String> tokenUrl = Holders.simple("https://linksso-test.yuexiu.com/sso/oauth2/token");

    @Identifier(value = "userUrl", name = "请求用户信息地址", description = "请求用户信息地址", status = Status.SHOW)
    private Conf<String> userUrl = Holders.simple("https://linksso-test.yuexiu.com/sso/oauth2/userinfo");

    @Identifier(value = "logout", name = "登出地址", description = "登出地址", status = Status.SHOW)
    private Conf<String> logout = Holders.simple("https://linksso-test.yuexiu.com/sso/oauth2/logout");

    @Identifier(value = "frDomain", name = "帆软主页", description = "帆软主页", status = Status.SHOW)
    private Conf<String> frDomain = Holders.simple("http://localhost:8075/webroot/decision");

    public String getFrDomain() {
        return frDomain.get();
    }

    public void setFrDomain(String url) {
        this.frDomain.set(url);
    }

    public String getClientId() {
        return clientId.get();
    }

    public void setClientId(String url) {
        this.clientId.set(url);
    }

    public String getSecret() {
        return secret.get();
    }

    public void setSecret(String url) {
        this.secret.set(url);
    }

    public String getAuthUrl() {
        return authUrl.get();
    }

    public void setAuthUrl(String url) {
        this.authUrl.set(url);
    }

    public String getTokenUrl() {
        return tokenUrl.get();
    }

    public void setTokenUrl(String url) {
        this.tokenUrl.set(url);
    }

    public String getUserUrl() {
        return userUrl.get();
    }

    public void setUserUrl(String url) {
        this.userUrl.set(url);
    }

    public String getLogout() {
        return logout.get();
    }

    public void setLogout(String url) {
        this.logout.set(url);
    }
    @Override
    public Object clone() throws CloneNotSupportedException {
        PluginSimpleConfig cloned = (PluginSimpleConfig) super.clone();
//        cloned.text = (Conf<String>) text.clone();
//        cloned.count = (Conf<Integer>) count.clone();
//        cloned.price = (Conf<Double>) price.clone();
//        cloned.time = (Conf<Long>) time.clone();
//        cloned.student = (Conf<Boolean>) student.clone();
        return cloned;
    }

}
