package com.fr.plugin.yxSSO.logout;

import com.fr.decision.fun.impl.AbstractLogInOutEventProvider;
import com.fr.decision.webservice.login.LogInOutResultInfo;
import com.fr.decision.webservice.v10.login.LoginService;
import com.fr.plugin.yxSSO.config.simple.account.PluginSimpleConfig;
import com.fr.plugin.yxSSO.utils.FRUtils;
import com.fr.plugin.yxSSO.utils.Utils;

import javax.servlet.http.HttpSession;

public class Logout extends AbstractLogInOutEventProvider {

    @Override
    public String logoutAction(LogInOutResultInfo result) {
        HttpSession session = result.getRequest().getSession(true);
        LoginService.getInstance().crossDomainLogout(result.getRequest(),result.getResponse(),"");
        session.invalidate();
        PluginSimpleConfig psc = PluginSimpleConfig.getInstance();
        String logout = psc.getLogout();
        String logoutUrl = psc.getFrDomain()+"/login";

        boolean isMobile = Utils.isMobile(result.getRequest());

        if(isMobile){
            logout += "?post_logout_redirect_uri="+logoutUrl;
        }

        FRUtils.FRLogInfo("isMobile:"+isMobile);
        FRUtils.FRLogInfo("logout:"+logout);

        return logout;
    }
}

